Debian Bug report logs - #683096
no grub menu before boot with in-kernel irqchip (TSC/PIT calibration problem)

version graph

Package: qemu-kvm; Maintainer for qemu-kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for qemu-kvm is src:qemu.

Reported by: Marc Haber <mh+debian-packages@zugschlus.de>

Date: Sat, 28 Jul 2012 17:51:02 UTC

Severity: normal

Tags: confirmed, patch

Found in version qemu-kvm/1.1.0+dfsg-3

Fixed in version qemu-kvm/1.1.1+dfsg-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Forwarded to http://lists.gnu.org/archive/html/qemu-devel/2012-08/msg01651.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Sat, 28 Jul 2012 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sat, 28 Jul 2012 17:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: no grub menu before boot
Date: Sat, 28 Jul 2012 19:26:10 +0200
Package: qemu-kvm
Version: 1.1.0+dfsg-3
Severity: normal

Booting a Linux VM inside KVM (using virt-manager, libvirt, qemu-kvm
1.1.0 from unstable) does not show the grub boot menu at all. It just
immediatly boots and runs fine then.

Downgrading qemu-kvm fo 1.0+dfsg-11 from testing made the grub-menu
reappear.

Is that user error, or a bug in qemu-kvm?

Greetings
Marc

-- Package-specific info:


/proc/cpuinfo:

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 1
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 1
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 4
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 2
cpu cores	: 4
apicid		: 4
initial apicid	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 5
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 2
cpu cores	: 4
apicid		: 5
initial apicid	: 5
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 6
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 2201.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i7-2720QM CPU @ 2.20GHz
stepping	: 7
microcode	: 0x18
cpu MHz		: 800.000
cache size	: 6144 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts nopl xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4385.85
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:




-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5.0-zgws1 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages qemu-kvm depends on:
ii  adduser           3.113+nmu3
ii  ipxe-qemu         1.0.0+git-20120202.f6840ba-3
ii  libaio1           0.3.109-3
ii  libasound2        1.0.25-3
ii  libbluetooth3     4.99-2
ii  libbrlapi0.5      4.4-4
ii  libc6             2.13-35
ii  libcurl3-gnutls   7.26.0-1
ii  libglib2.0-0      2.32.3-1
ii  libgnutls26       2.12.20-1
ii  libiscsi1         1.4.0-3
ii  libjpeg8          8d-1
ii  libncurses5       5.9-10
ii  libpng12-0        1.2.49-2
ii  libpulse0         2.0-4
ii  librados2         0.48-1
ii  librbd1           0.48-1
ii  libsasl2-2        2.1.25.dfsg1-4+b1
ii  libsdl1.2debian   1.2.15-5
ii  libspice-server1  0.11.0-1
ii  libtinfo5         5.9-10
ii  libuuid1          2.20.1-5.1
ii  libvdeplug2       2.3.2-4
ii  libx11-6          2:1.5.0-1
ii  python            2.7.3-1
ii  qemu-keymaps      1.1.0+dfsg-1
ii  qemu-utils        1.1.0+dfsg-1
ii  seabios           1.7.0-1
ii  vgabios           0.7a-3
ii  zlib1g            1:1.2.7.dfsg-13

Versions of packages qemu-kvm recommends:
ii  bridge-utils  1.5-4
ii  iproute       20120521-3

Versions of packages qemu-kvm suggests:
ii  debootstrap  1.0.42
ii  samba        2:3.6.6-2
pn  vde2         <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Sun, 29 Jul 2012 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sun, 29 Jul 2012 09:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 683096@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: 683096@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: no grub menu before boot
Date: Sun, 29 Jul 2012 09:12:26 +0000
I suspect this is very much related to 680719 (upstream 1021649).  If
you disable the in-kernel irqchip, I bet you'll get your grub menu
back.  I experimented some with my guests that use -display sdl and
the difference is quite noticable.  For example, with an ubuntu server
instance that has a grub timeout of 2 seconds, using
kvm -machine accel=kvm,kernel_irqchip=on ... the grub menu flickers
past without any delay on my workstation, but if use -machine
accel=kvm,kernel_irqchip=off the 2 second countdown timer and grub
menu behave as expected.  

Marc, you'll want to review the above mentioned bugs and verify that
your config matches; iow, that you're using a virtio-blk boot device.

-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Sun, 29 Jul 2012 12:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sun, 29 Jul 2012 12:24:09 GMT) Full text and rfc822 format available.

Message #15 received at 683096@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Jamie Heilman <jamie@audible.transient.net>
Cc: 683096@bugs.debian.org
Subject: Re: no grub menu before boot
Date: Sun, 29 Jul 2012 13:37:38 +0200
On Sun, Jul 29, 2012 at 09:12:26AM +0000, Jamie Heilman wrote:
> Marc, you'll want to review the above mentioned bugs and verify that
> your config matches; iow, that you're using a virtio-blk boot device.

I am using a virtio-blk boot device, yes.

Does current libvirt offer a possibility to set arbitrary qemu
parameters to verify this?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Sun, 29 Jul 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sun, 29 Jul 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 683096@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 683096@bugs.debian.org
Subject: Re: no grub menu before boot
Date: Sun, 29 Jul 2012 16:28:25 +0000
Marc Haber wrote:
> On Sun, Jul 29, 2012 at 09:12:26AM +0000, Jamie Heilman wrote:
> > Marc, you'll want to review the above mentioned bugs and verify that
> > your config matches; iow, that you're using a virtio-blk boot device.
> 
> I am using a virtio-blk boot device, yes.
> 
> Does current libvirt offer a possibility to set arbitrary qemu
> parameters to verify this?

I don't use it, so I can't comment on how accurate this thread is
anymore, but I bet the workaround advice is still entirely relevant:
http://www.redhat.com/archives/libvir-list/2009-September/msg00443.html

-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Sun, 29 Jul 2012 21:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Sun, 29 Jul 2012 21:00:08 GMT) Full text and rfc822 format available.

Message #25 received at 683096@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: 683096@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: no grub menu before boot
Date: Sun, 29 Jul 2012 20:57:43 +0000
Jamie Heilman wrote:
> Marc, you'll want to review the above mentioned bugs and verify that
> your config matches; iow, that you're using a virtio-blk boot device.

Actually, I can reproduce this on guests without any virtio devices
present, the in-kernel irqchip implementation itself appears to be the
source of the problem, but its likely not the same issue I thought it
was.

-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Mon, 30 Jul 2012 08:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Mon, 30 Jul 2012 08:33:07 GMT) Full text and rfc822 format available.

Message #30 received at 683096@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Jamie Heilman <jamie@audible.transient.net>
Cc: 683096@bugs.debian.org
Subject: Re: no grub menu before boot
Date: Mon, 30 Jul 2012 10:28:46 +0200
On Sun, Jul 29, 2012 at 04:28:25PM +0000, Jamie Heilman wrote:
> Marc Haber wrote:
> > On Sun, Jul 29, 2012 at 09:12:26AM +0000, Jamie Heilman wrote:
> > > Marc, you'll want to review the above mentioned bugs and verify that
> > > your config matches; iow, that you're using a virtio-blk boot device.
> > 
> > I am using a virtio-blk boot device, yes.
> > 
> > Does current libvirt offer a possibility to set arbitrary qemu
> > parameters to verify this?
> 
> I don't use it, so I can't comment on how accurate this thread is
> anymore, but I bet the workaround advice is still entirely relevant:
> http://www.redhat.com/archives/libvir-list/2009-September/msg00443.html

Ugly, but it helped to find out that my issue is actually the irqchip
issue: Using the wrapper mentioned in this message brings back my grub
menu.

Is there a fix on the way, or is KVM upstream still debating with the
kernel developers about who is at fault here?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Tue, 31 Jul 2012 20:09:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Tue, 31 Jul 2012 20:09:19 GMT) Full text and rfc822 format available.

Message #35 received at 683096@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 683096@bugs.debian.org
Subject: Re: no grub menu before boot
Date: Tue, 31 Jul 2012 20:07:17 +0000
Marc Haber wrote:
> Is there a fix on the way, or is KVM upstream still debating with the
> kernel developers about who is at fault here?

No fix on the way, this bug will need to be upstreamed.  There's been
no discussion about it on the list at all yet.

-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#683096; Package qemu-kvm. (Wed, 08 Aug 2012 18:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. (Wed, 08 Aug 2012 18:51:12 GMT) Full text and rfc822 format available.

Message #40 received at 683096@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Jamie Heilman <jamie@audible.transient.net>, 683096@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#683096: no grub menu before boot
Date: Wed, 08 Aug 2012 22:46:26 +0400
tags 683096 + moreinfo unreproducible
thanks

Guys, can you please provide the complete qemu-kvm
command line which you use to start the guest?

So far I can't reproduce the issue and I think I'm
missing some options which you're using.

Meanwhile I'm tagging this bug as unreproducible.

Thanks!

/mjt




Added tag(s) unreproducible and moreinfo. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Aug 2012 18:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Wed, 08 Aug 2012 21:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Wed, 08 Aug 2012 21:09:08 GMT) Full text and rfc822 format available.

Message #47 received at 683096@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: Jamie Heilman <jamie@audible.transient.net>, 683096@bugs.debian.org
Subject: Re: Bug#683096: no grub menu before boot
Date: Wed, 8 Aug 2012 23:06:59 +0200
On Wed, Aug 08, 2012 at 10:46:26PM +0400, Michael Tokarev wrote:
> Guys, can you please provide the complete qemu-kvm
> command line which you use to start the guest?

How do I get that out of libvirt/virt-manager?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Thu, 09 Aug 2012 04:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Thu, 09 Aug 2012 04:48:03 GMT) Full text and rfc822 format available.

Message #52 received at 683096@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 683096@bugs.debian.org, Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#683096: no grub menu before boot
Date: Thu, 9 Aug 2012 04:44:35 +0000
Michael Tokarev wrote:
> tags 683096 + moreinfo unreproducible
> thanks
> 
> Guys, can you please provide the complete qemu-kvm
> command line which you use to start the guest?
> 
> So far I can't reproduce the issue and I think I'm
> missing some options which you're using.

    kvm -name bunk -m 768 \
        -device virtio-blk-pci,drive=blk0,bootindex=1 \
        -device virtio-net-pci,netdev=net0 \
        -drive id=blk0,file=/dev/mapper/S-bunk,if=none,cache=none \
        -netdev tap,id=net0,ifname=bunk,script=no,downscript=no

/dev/mapper/S-bunk is a lvm volume w/ Ubuntu 12.04 server amd64 and
grub as the bootloader.  Removing the network opts made no difference,
neither did changing the boot drive to ide-hd instead of virtio, but
disabling the irqchip did (setting virtio-blk-pci.ioeventfd=off didn't
make any difference for this issue).


-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#683096; Package qemu-kvm. (Thu, 09 Aug 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Michael Tokarev <mjt@tls.msk.ru>. (Thu, 09 Aug 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #57 received at 683096@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: Michael Tokarev <mjt@tls.msk.ru>, 683096@bugs.debian.org
Subject: Re: Bug#683096: no grub menu before boot
Date: Thu, 9 Aug 2012 04:49:26 +0000
Marc Haber wrote:
> On Wed, Aug 08, 2012 at 10:46:26PM +0400, Michael Tokarev wrote:
> > Guys, can you please provide the complete qemu-kvm
> > command line which you use to start the guest?
> 
> How do I get that out of libvirt/virt-manager?

try "ps ww -C kvm"

-- 
Jamie Heilman                     http://audible.transient.net/~jamie/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#683096; Package qemu-kvm. (Thu, 09 Aug 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. (Thu, 09 Aug 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #62 received at 683096@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Jamie Heilman <jamie@audible.transient.net>, 683096@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#683096: no grub menu before boot
Date: Thu, 09 Aug 2012 12:34:12 +0400
tags 683096 = confirmed
retitle 683096 no grub menu before boot with in-kernel irqchip
thanks

On 09.08.2012 08:44, Jamie Heilman wrote:
> Michael Tokarev wrote:
>> tags 683096 + moreinfo unreproducible
>> thanks
>>
>> Guys, can you please provide the complete qemu-kvm
>> command line which you use to start the guest?
>>
>> So far I can't reproduce the issue and I think I'm
>> missing some options which you're using.
> 
>     kvm -name bunk -m 768 \
>         -device virtio-blk-pci,drive=blk0,bootindex=1 \
>         -device virtio-net-pci,netdev=net0 \
>         -drive id=blk0,file=/dev/mapper/S-bunk,if=none,cache=none \
>         -netdev tap,id=net0,ifname=bunk,script=no,downscript=no

So it is fairy regular command line, nothing interesting.

I downloaded ubuntu 12.04 i386 desktop, installed it with default
options, and tried there.  After setting timeout=10 (from timeout=0)
in /boot/grub/grub.cfg, I can see the difference between current
qemu-kvm 1.1 and previous versions.  Marking the bugreport as
confirmed, will work out from there.

Thanks!

/mjt



Added tag(s) confirmed; removed tag(s) unreproducible and moreinfo. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Thu, 09 Aug 2012 08:36:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'no grub menu before boot with in-kernel irqchip' from 'no grub menu before boot' Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Thu, 09 Aug 2012 08:36:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://lists.gnu.org/archive/html/qemu-devel/2012-08/msg01651.html'. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Fri, 10 Aug 2012 06:33:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'no grub menu before boot with in-kernel irqchip (TSC/PIT calibration problem)' from 'no grub menu before boot with in-kernel irqchip' Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Fri, 10 Aug 2012 06:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Mon, 13 Aug 2012 18:51:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Sat, 25 Aug 2012 09:21:07 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 09:21:07 GMT) Full text and rfc822 format available.

Message #77 received at 683096-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 683096-close@bugs.debian.org
Subject: Bug#683096: fixed in qemu-kvm 1.1.1+dfsg-1
Date: Sat, 25 Aug 2012 09:17:55 +0000
Source: qemu-kvm
Source-Version: 1.1.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
qemu-kvm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated qemu-kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Aug 2012 12:56:01 +0400
Source: qemu-kvm
Binary: qemu-kvm qemu-kvm-dbg kvm
Architecture: source i386
Version: 1.1.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 kvm        - dummy transitional package from kvm to qemu-kvm
 qemu-kvm   - Full virtualization on x86 hardware
 qemu-kvm-dbg - Debugging info for qemu-kvm
Closes: 680719 683096 684261 684263 684282 684311 684323 684327 685314
Changes: 
 qemu-kvm (1.1.1+dfsg-1) unstable; urgency=low
 .
   * new upstream bugfix release (1.1.1) (Closes: #684311)
     Removed applied upstream patches:
     - qemu-kvm-Add-missing-default-machine-options.patch
     - qemu-kvm-virtio-Do-not-register-mask-notifiers-witho.patch
   * uhci:-fix-uhci_async_cancel_all.patch fixes use-after-free
     in usb code (Closes: #684323)
   * eventfd-making-it-thread-safe.patch - fix a missing
     ioeventfd notifier (Closes: #680719, #685314)
   * qom-object_delete-should-unparent-the-object-first.patch
     fixes assertion failure on usb_del (Closes: #684282)
   * virtio-blk-fix-use-after-free-while-handling-scsi-commands.patch
     (Closes: #684261)
   * ahci-Fix-ahci-cdrom-read-corruptions-for-reads-128k.patch (Closes: #684263)
   * ahci-Fix-sglist-memleak-in-ahci_dma_rw_buf.patch (Closes: #684327)
   * kvm-i8254-cache-kernel-clock-offset-in-KVMPITState.patch and
     kvm-i8254-finish-time-conversion-fix.patch - two patches from upstream
     stable to fix TSC vs PIT timers (Closes: #683096)
   * document -netdev option in the manpage, a long-standing omission
     (net-add--netdev-options-to-man-page.patch)
Checksums-Sha1: 
 2916e3850bb0ce08ec3c387724aea5bc2c6dcfc2 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 b7277fcf0c19397a27a69387bfe45ca38506b9a0 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 5701b38c50b9b308c106106cd81733816b2832d6 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 c87a023409129fc4882feee1c20efdbbd8aeb97d 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 ad6e3e1c4e78bb074fcf9858036dbc65a5ab0ba9 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 2ea153727afa86bb89b81f4f54b1b6eec57d7935 21950 kvm_1.1.1+dfsg-1_i386.deb
Checksums-Sha256: 
 c7516b33b7b1ba90975d5b9ed3f67d8ec873cee6df44dbfb10386d03002bd225 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 9b1b5f6acdb72874c91c5d02e2d2d951ceb78d76c5e2df9ae4498464f54bdf3d 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 f453a396ac6423cdf2f5713d4caf4d8c28b5706244a1103f229a32651029fb8d 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 6b9fe603585bb1152c62a2493498984205a763a2955c73406729a8c340ef27c6 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 3fddcf3f30c5562ee6ff2909e4d9ed5d48ec5a30fca5af1e50571e004179aaf0 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 1c125efd6fc8cc32dadd6792e9f63fd5d855cf0f80fcdd2e15947488f3c695ea 21950 kvm_1.1.1+dfsg-1_i386.deb
Files: 
 7118b7b8081c01b76fc6807f9fb60ee1 1949 misc optional qemu-kvm_1.1.1+dfsg-1.dsc
 9d059d914fad114c506030530c2d9817 3645276 misc optional qemu-kvm_1.1.1+dfsg.orig.tar.xz
 1bf5baa1950dd86e49789357b97a4fc3 42677 misc optional qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 0fcd32fcf4584598aa59dccc726fcc4e 1753606 misc optional qemu-kvm_1.1.1+dfsg-1_i386.deb
 9accdc6d324ef823b4399f312e892da7 5091316 debug extra qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 0e798a4a4cca897b060de9f2f1935e2c 21950 oldlibs extra kvm_1.1.1+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlA4llQACgkQUlPFrXTwyDgMkAQAgkVe70KencSD1QiqwiJT1rq1
I6BWGXxUvSh/MCI/GxnFEGKBLNJ9//pLKIHedmNSx+0+Hxg4d61CbRi5JDyLEoCZ
bDAlC+pGqWTYqALi2bsZvnOQLEOI/H3+YMk+7G6YPCjsxcML2CVbKVoBOrti9v8p
zwSxxj2KMFwyxjDgGXc=
=UzkX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Oct 2012 07:29:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:57:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.